# $Revision: 1.23 $, $Date: 2002/07/31 12:05:25 $
Summary:	Medusa - for quickly search files
Summary(pl):	Medusa - do szybkiego wyszukiwania plikw
Summary(pt_BR):	Medusa: procura e indexao de pacotes para uso com o Nautilus
Name:		medusa
Version:	0.5.1
Release:	7
License:	GPL
Group:		Libraries
Source0:	ftp://ftp.gnome.org/pub/GNOME/unstable/sources/medusa/%{name}-%{version}.tar.bz2
Patch0:		%{name}-includes.patch
Patch1:		%{name}-missing_AM_PATH_GNOME.patch
Patch2:		%{name}-no_db1_ac_fix.patch
Patch3:		%{name}-am_fix.patch
BuildRequires:	GConf-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	db3-devel
BuildRequires:	glib-devel >= 1.2.0
BuildRequires:	gnome-libs-devel >= 1.0.0
BuildRequires:	gnome-vfs-devel >= 1.0.0
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	libmedusa0

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man
%define		_sysconfdir	/etc/X11/GNOME

%description
Medusa is software that allows you to quickly search your system for
particular types of files, using an index.

%description -l pl
Medusa jest oprogramowaniem pozwalajcym szybko znale odpowiednie
typy plikw w twoim systemie uywajc indeksu.

%package devel
Summary:	medusa - header files
Summary(pl):	medusa - pliki nagwkowe
Group:		Development/Libraries
Requires:	%{name} = %{version}
Obsoletes:	libmedusa0-devel

%description devel
Package contains medusa header files.

%description devel -l pl
Pakiet zawiera pliki nagwkowe dla medusy.

%package static
Summary:	Medusa static libraries
Summary(pl):	Biblioteki statyczne medusy
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Medusa static libraries.

%description static -l pl
Biblioteki statyczne medusy.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
rm -f missing
libtoolize -c -f
aclocal -I %{_aclocaldir}/gnome
%{__autoconf}
%{__automake}
%configure \
	--with-proc-interrupts \
	--enable-static \
	--disable-prefer-db1 \
	--with-mit-ext \
	--with-xidle-ext \
	--with-sgivc-ext

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	medusacronconfdir=/etc/cron.daily \
	medusaidledconfdir=/etc/profile.d

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README index-configuration/medusa-init
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/medusa/*
%attr(755,root,root) /etc/profile.d/*
%attr(755,root,root) /etc/cron.daily/*
%dir %{_sysconfdir}/medusa
%{_sysconfdir}/vfs/modules/*
#%attr(755,root,root) %{_bindir}/medusa-e*
%attr(755,root,root) %{_bindir}/medusa-i*
%attr(755,root,root) %{_bindir}/medusa-s*
%attr(755,root,root) %{_bindir}/msearch
%attr(755,root,root) %{_sbindir}/*
%attr(755,root,root) %{_libdir}/vfs/modules/*.so
%attr(755,root,root) %{_libdir}/lib*.so.*.*
#%{_prefix}/com/medusa
%dir %{_var}/medusa
%{_mandir}/man*/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/medusa-config
%attr(755,root,root) %{_libdir}/lib*.la
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/libmedusa

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%{_libdir}/vfs/modules/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: medusa.spec,v $
Revision 1.23  2002/07/31 12:05:25  kloczek
- more fixes for new %doc.

Revision 1.22  2002/07/31 08:14:31  kloczek
- release 7: use new %doc.

Revision 1.21  2002/05/21 23:14:08  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.20  2002/03/24 23:28:22  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.19  2002/02/22 23:29:15  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/02/17 01:42:55  kloczek
- release 6,
- remove linking medusa with db1:
-- replace db1-devel in BuildRequires by db3-devel
-- added --disable-prefer-db1 to .autoconf parametrs,
-- added no_db1_ac_fix patch which changes dbopen() order detestion (firs in
   db-3),
-- added regenerate ac/am/lt suit (added for this am_fix and missing_AM_PATH_GNOME
   patches),
- libmedusa0{,-devel} added to Obsletes for allow upgrade from MDK.

Revision 1.17  2002/02/02 08:47:41  filon
- removed non-existing Patch1

Revision 1.16  2002/01/31 23:19:27  filon
- copy config.{sub,guess} from automake dir (these in pacakge
don't cope with host=athlon-*)
- relase 5

Revision 1.15  2002/01/23 22:18:44  filon
- added mandir definition to put mans in correct place
- release 4

Revision 1.14  2002/01/18 02:13:49  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/12/03 01:27:09  qrczak
- medusa-includes.patch: Add missing #include. Add missing GNOME_CFLAGS.
  Patched Makefile.in as well as Makefile.am instead of regenerating
  Makefile.in because stupid automake doesn't work: running automake
  causes errors, aclocal doesn't work either, arghh.

Revision 1.12  2001/10/03 16:41:02  filon
- changed req %{name} for %{name}-devel in static
- release 3

Revision 1.11  2001/09/17 11:37:56  qboosh
- removed English "es" summaries

Revision 1.10  2001/07/30 17:53:42  kloczek
- release 2: fixed %files list in devel.

Revision 1.9  2001/07/30 10:10:20  kloczek
- %%{_includedir}/libmedusa must bin included to %files in devel.

Revision 1.8  2001/07/21 22:52:27  blues
- %dir %{_includedir}/libmedusa/

Revision 1.7  2001/07/21 22:38:14  blues
0.5.1
- %configure2_13 used
- some %files fixes
- added medusa-init to docs - should it be in /etc/rc.d/init.d/ ?

Revision 1.6  2001/07/21 21:45:23  blues
0.5.1
- tar.gz changed to tar.bz2

Revision 1.5  2001/04/01 23:55:00  kloczek
- pass absolute directiries to "make install" for cron.dayly and profile.d
  instead move after install this files,
- remove *.la files from plugins directory.

Revision 1.4  2001/04/01 20:43:34  misiek
0.5.0

Revision 1.3  2000/11/03 17:03:12  kloczek
- updated to 0.2.2,
- updated BuildRequires and %files lists,
- use new rpm automation.

Revision 1.2  2000/09/14 23:19:13  kloczek
- added static subpackage,
- adapterized and some cosmetics.

Revision 1.1  2000/09/06 00:36:20  michuz
- initial release
